/*
    prof. Constantin Galatan
    O(N * K)
*/
#include <fstream>
using namespace std;

ifstream fin("kswap.in");
ofstream fout("kswap.out");

const int Kmax = 11176, Nmax = 151, Mod = 30103;
int N, K;
int p[Nmax][Kmax];

int main()
{
	fin >> N >> K;

	p[0][0] = 1;
	for (int i = 1; i <= N; ++i)
		for (int k = 0; k <= K; ++k)
		{
			p[i][k] = (p[i][k - 1] + p[i - 1][k]) % Mod;
			if ( k >= i )
				p[i][k] -= p[i - 1][k - i];
			if ( p[i][k] < 0 )
				p[i][k] += Mod;
		}

	fout << p[N][K];


	fin.close();
	fout.close();
}
