/*  prof. Constantin Galatan
    25 puncte
    segment trees (update element)
*/
#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
using namespace std;

const int Inf = 0x3f3f3f3f, Dim = 200000;
int k, L, R;
int Lmax[4*Dim], nr[4*Dim];

void Update(int x, int l, int r);

int main()
{
    ifstream fin("paint.in");
    ofstream fout("paint.out");

    int n, m, a, b;
	fin >> n >> k >> m ;
	while (m--)
	{

		fin >> a >> b;
        L = a; R = a + b - 1;
        Update(1, 0, n);
    }

    fout << n - Lmax[1] << '\n';

	fin.close();
	fout.close();
}




void Update(int x, int l, int r)
{
    if ( l == r )
    {
        nr[x]++;
        if ( nr[x] >= k )
            Lmax[x] = r - l + 1;
        return;
    }
    if ( L <= l && r <= R )
    {
        nr[x]++;
        if ( nr[x] >= k )
            Lmax[x] = (r - l + 1);
    }

    int m = (l + r) / 2;
    if (L <= m)
        Update(2 * x, l, m);
    if (R > m)
        Update(2 * x + 1, m + 1, r);

   if ( l != r )
        Lmax[x] = Lmax[2 * x] + Lmax[2 * x + 1];
}


